#
# spec file for package python-gtk (Version 2.0.0)
#
# Copyright (c) 2004 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  glade2 gnome-devel-packages gtk2-devel-packages gtkglarea libglade libglade-devel libglade2 libglade2-devel libxml2 libxml2-devel python python-devel python-numeric
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs atk atk-devel audiofile autoconf automake binutils cracklib esound esound-devel expat fontconfig fontconfig-devel freetype2 freetype2-devel gcc gconf gdbm gdk-pixbuf gdk-pixbuf-devel gettext glade2 glib glib-devel glib2 glib2-devel gnome-common gnome-filesystem gnome-libs gnome-libs-devel gnome-vfs gnome-vfs-devel gtk gtk-devel gtk2 gtk2-devel gtkglarea imlib imlib-devel libglade libglade-devel libglade2 libglade2-devel libpng libpng-devel libtool libxml libxml-devel libxml2 libxml2-devel oaf oaf-devel openssl-devel orbit orbit-devel pango pango-devel perl pkgconfig popt-devel python python-devel python-numeric rpm update-desktop-files

Name:         python-gtk
URL:          http://www.daa.com.au/~james/pygtk/
%define python python
%define pyver %(python -c 'import sys; print sys.version[:3]')
Summary:      Python bindings for the GTK+ widget set
Version:      2.0.0
Release:      166
License:      LGPL
Group:        Development/Libraries/Python
Source:       pygtk-%{version}.tar.bz2
Source1:      pygtk-0.6.11.tar.bz2
Source2:      README
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Autoreqprov:  on
Buildrequires: %{python}-devel >= 2.2
Buildrequires: libglade2-devel
Requires:     python >= %pyver, python < %{pyver}.99, python-numeric

%description
PyGTK is an extension module for python that gives you access to the
GTK+ widget set.  Just about anything you can write in C with GTK+ you
can write in python with PyGTK (within reason), but with all of
python's benefits.



Authors:
--------
    James Henstridge <james@daa.com.au>

%prep
%setup -T -b 1 -n pygtk-0.6.11
%{?suse_update_config:%{suse_update_config -f}}
autoreconf -f -i
%{configure}
%setup -q -n pygtk-%{version}
%{?suse_update_config:%{suse_update_config -f}}
autoreconf -I /opt/gnome/share/aclocal -f -i
%{configure}

%build
cd ../pygtk-%{version}
export CFLAGS="$RPM_OPT_FLAGS"
python setup.py build --enable-threading
cd ../pygtk-0.6.11
make

%install
rm -rf $RPM_BUILD_ROOT
cd ../pygtk-0.6.11
make DESTDIR=$RPM_BUILD_ROOT install
# we need this file from newer pygtk
rm -f $RPM_BUILD_ROOT/`python -c "import distutils.sysconfig; print distutils.sysconfig.get_python_lib()"`/pygtk.py
# compile pyhton modules with correct paths inside
for dir in `python -c "import distutils.sysconfig; print distutils.sysconfig.get_python_lib()"` /usr/share/pygtk ; do
    find $RPM_BUILD_ROOT/$dir -name '*.py[co]' -type f -print0 | xargs -0 rm -f
    find $RPM_BUILD_ROOT/$dir -name '*.la' -type f -print0 | xargs -0 rm -f
    python -u -t -c "import compileall; compileall.compile_dir('$RPM_BUILD_ROOT/$dir',ddir='$dir' )"
done
cd ../pygtk-%{version}
python setup.py install --root=$RPM_BUILD_ROOT --record-rpm=INSTALLED_FILES
# fix pkgconfig and codegen files
if [ %_lib != lib ] ; then
    mv $RPM_BUILD_ROOT/usr/lib/pkgconfig $RPM_BUILD_ROOT/usr/%_lib/pkgconfig
fi
for file in /usr/%_lib/pkgconfig/pygtk-2.0.pc /usr/bin/pygtk-codegen-2.0 ; do
    cp -f $RPM_BUILD_ROOT$file tmp-file
    sed "s@$RPM_BUILD_ROOT@@" < tmp-file >$RPM_BUILD_ROOT$file
done
rm -f tmp-file
# documentation
cd ../pygtk-0.6.11
install -m 755 -d $RPM_BUILD_ROOT%{_docdir}/%{name}/pygtk-1.2
install -m 644 AUTHORS NEWS README MAPPING ChangeLog $RPM_BUILD_ROOT%{_docdir}/%{name}/pygtk-1.2
cp -a examples $RPM_BUILD_ROOT%{_docdir}/%{name}/pygtk-1.2
cd ../pygtk-%{version}
install -m 755 -d $RPM_BUILD_ROOT%{_docdir}/%{name}/pygtk-2.0
install -m 644 AUTHORS NEWS README MAPPING ChangeLog THREADS $RPM_BUILD_ROOT%{_docdir}/%{name}/pygtk-2.0
cp -a examples $RPM_BUILD_ROOT%{_docdir}/%{name}/pygtk-2.0
install -m 644 COPYING %{S:2} $RPM_BUILD_ROOT%{_docdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644, root, root, 755)
%{_libdir}/python*/site-packages/pygtk.pth
%{_libdir}/python*/site-packages/pygtk.py*
%{_libdir}/python*/site-packages/gtk*
%{_prefix}/include/pygtk*
%{_libdir}/pkgconfig/pygtk*
%{_prefix}/share/pygtk
%doc %{_docdir}/%{name}
%attr(755, root, root) %{_bindir}/pygtk*

%changelog -n python-gtk
* Mon Feb 23 2004 - mcihar@suse.cz
- requires python-numeric
- enabled threading support (bug #34648)
* Tue Sep 02 2003 - mcihar@suse.cz
- updated to 2.0.0 (final GNOME 2 version, just minor bugfixes)
* Tue Aug 26 2003 - mcihar@suse.cz
- force usage of pygtk.py from 1.99.18 and not from 0.6.11 (caused
  problems with default sys.path in python 2.3)
* Tue Aug 26 2003 - mcihar@suse.cz
- updated to 1.99.18:
- Fix up a duplicate symbol bug in the atk module, that was
  causing build problems on MacOS X (hopefully the last such
  problem).
- add gtk.glade.set_custom_handler() API, that provides more
  info to the custom widget callback.  Deprecate
  set_custom_widget_callbacks().
- some other bug fixes.
* Thu Aug 07 2003 - mcihar@suse.cz
- updated to 1.99.17:
- Threading support is compiled in by default now.  It is
  necessary to call gtk.threads_init() in order to make use of
  threading though.  There have been a number of fixes to the
  threading support too.
- Fix up some problems with multiple definitions of global
  variables in gobject module, that was causing problems on
  Mac OS X.
- Wrappers for many new APIs (John Finlay, Naofumi Yasufuku,
  Johan Dahlin and others).
- Improvements to the code generator to give better error
  messages.
- Some fixes to property APIs to work correctly on 64 bit
  systems, and to handle ATOM type properties.
- Fix copyright headers on source files.
* Wed Aug 06 2003 - mcihar@suse.cz
- added workaround for lib64 dirs and pkgconfig
* Tue Aug 05 2003 - mcihar@suse.cz
- use distutils when possible
- compile python files with correct paths inside
- fix pkgconfig and codegen files to not contain buildroot
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Thu May 29 2003 - mcihar@suse.cz
- make executable only files that should be
* Mon May 12 2003 - mcihar@suse.cz
- use versioned dependency on python
* Mon May 05 2003 - mcihar@suse.cz
- gnome 2 version updated to 1.99.16
* Wed Mar 12 2003 - mcihar@suse.cz
- include both pygtk versions (for Gtk 1.2 and 2.0) making 1.2
  version default, this fixes bug #25148
* Thu Jan 23 2003 - mcihar@suse.cz
- updated to 1.99.14
* Fri Nov 29 2002 - mcihar@suse.cz
- added libxml2{,-devel} to neededforbuild to enable building with glade
* Wed Nov 27 2002 - mcihar@suse.cz
- cleaned up specfile
- fixed building for lib64 (this is temporary, should be fixed in autoconf)
* Wed Nov 27 2002 - mcihar@suse.cz
- version for GNOME 2
- fixes #21066 - dangling symlink
